
CoCoALib - Bug #1113

gcd crashes (Floating point exception)

27 Oct 2017 17:45 - John Abbott

Status: Closed Start date: 27 Oct 2017

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Safety Estimated time: 0.00 hour

Target version: CoCoALib-0.99650 November 2019 Spent time: 0.50 hour

Description

In an old file (from 2006) I found two examples where GCD (in CoCoA4) crashes because it runs out of primes; since we use the

same old code in CoCoA-5... guess what happens :-(

>>> N := factorial(5500);

>>> F := N*x+N+1;

>>> J := gcd(F^2, F^2+F);

Process cocoa5 floating point exception (core dumped)

Related issues:

Related to CoCoALib - Slug #1359: gcd: low degree but big coeffs can be slow New 30 Oct 2019

History

#1 - 03 Nov 2017 12:38 - John Abbott

Here is another example (possibly simpler than the previous one?):

gcd(x+1, x+1+factorial(47000));

#2 - 30 Oct 2019 22:16 - John Abbott

- Status changed from New to Closed

- Assignee set to John Abbott

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99650 November 2019

- % Done changed from 0 to 100

2019-10-30 I have just tried the example in comment 1, and it no longer crashes.  No idea when it was resolved.

I have tried some similar but larger examples; they do not crash either, but they can be very slow.

I'll close this issue, and make a new one about the slug.

#3 - 30 Oct 2019 22:23 - John Abbott

- Related to Slug #1359: gcd: low degree but big coeffs can be slow added
